<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Title</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
          integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link href="../static/css/style.css" th:href="@{/css/style.css}" rel="stylesheet"/>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
</head>
<body>


<header class="background_gray" th:fragment="header">

    <div class="row">
        <div th:if="${currentUser != null}">
            <span class="username">Hi, </span><span class="username" th:text="${currentUser.getName()}"></span>
        </div>

        <div class="dropdown">
            <button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown" aria-haspopup="true"
                    aria-expanded="false">
                <i class="material-icons">
                    how_to_reg
                </i>
            </button>
            <div class="dropdown-menu">
                <form th:if="${currentUser == null}" th:action="@{/login}" th:object="${login}" method="post">
                    <label for="username">Dein Name</label>
                    <input th:field="*{username}" type="text" class="form-control" id="username" placeholder="Username">
                    <label for="password">Dein Passwort</label>
                    <input th:field="*{password}" type="password" class="form-control" id="password"
                           placeholder="Passwort">
                    <br>
                    <button class="btn btn-success" type="submit">Login</button>
                </form>
                <div th:if="${currentUser == null}" class="dropdown-divider"></div>
                <a th:if="${currentUser == null}" class="btn btn-success" href="/signup">Signup</a>

                <form th:if="${currentUser != null}" th:action="@{/logout}" method="post">
                    <button class="btn btn-success" type="submit">Logout</button>
                </form>
            </div>
        </div>
    </div>

    <div class="row" th:if="${currentUser != null}">

        <form th:if="${currentUser.isAdministrator()}" th:action="newEntry" method="GET">
            <button class="btn btn-success" type="submit" data-toggle="tooltip" data-placement="top" title="neuen Beitrag erstellen">
                <i class="material-icons">
                    add_circle
                </i>
            </button>
        </form>

        <div class="dropdown" th:if="${currentUser.isAdministrator()}">
            <button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown" aria-haspopup="true"
                    aria-expanded="false">
                <i class="material-icons">
                    playlist_add
                </i>
            </button>
            <div class="dropdown-menu">
                <form th:if="${currentUser != null}" th:action="categoryadmin" method="GET">
                    <button class="btn btn-success" type="submit">Kategorien verwalten</button>
                </form>

                <form th:if="${currentUser != null}" th:action="userAdministration" method="GET">
                    <button class="btn btn-success" type="submit">User verwalten</button>
                </form>
            </div>
        </div>

    </div>

    <a class="btn btn-success mt-2" href="/" data-toggle="tooltip" data-placement="top" title="home">
        <i class="material-icons mt-1">
            home
        </i>
    </a>

</header>


<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
        integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"
        integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
        crossorigin="anonymous"></script>

</body>
</html>